// Add these functions to the end of your copy of /wordpress/wp-admin/admin-functions.php
// no other changes are required to the WP core code.
//---------------------------------------------------------------------------------------
function page_rows2($parent = 0, $level = 0, $pages = 0) 
{
	global $wpdb, $class, $post;

	//echo "parent=[" . $parent . "] level=[" . $level . "] pages=[" . count($pages) . "]<br>";

	if (!$pages)
	{
		$pages = $wpdb->get_results("SELECT p.ID, p.post_author, u.user_login, p.post_title, p.post_modified, p.post_parent, p.guid, p.post_status 
									FROM $wpdb->posts as p
									LEFT JOIN $wpdb->users as u	ON p.post_author=u.ID
									WHERE p.post_status = 'static' and p.post_parent=". $parent . " ORDER by p.post_title");
	}

	if ($pages) 
	{
		foreach ($pages as $post) 
		{
			if ($post->post_parent == $parent) 
			{
				// Now determine of the given page has children. 
				$sql_query_post_parent = "SELECT count(*) as count FROM $wpdb->posts WHERE post_status = 'static' and post_parent=". $post->ID . " GROUP BY post_parent";
				$parent_pages_count  = $wpdb->get_results($sql_query_post_parent);

				$post->post_title = wp_specialchars($post->post_title);
				$id = $post->ID;
				$class = ('alternate' == $class) ? '' : 'alternate';
				?>
				<tr id='page-<?php echo $id; ?>' class='<?php echo $class; ?>'> 
					<th scope="row"><?php echo $post->ID; ?></th> 
					<td><?php 	if ($parent_pages_count[0]->count > 0)
								{
									?><a href="edit-pages.php" onClick="document.cookie='post_parent_id=<?php echo $post->ID ?>'"><?php echo the_title(); ?></a><?php
								}
								else
								{
									the_title();
								}
						?>
					</td> 
					<td><?php echo $post->user_login; ?></td>
					<td><?php echo mysql2date('Y-m-d g:i a', $post->post_modified); ?></td> 
					<td><a href="<?php 	if (strlen($post->guid)) { echo $post->guid; }
										else { get_page_link($post->ID); } ?>" rel="permalink" class="edit"><?php _e('View'); ?></a></td>
					<td><?php if ( current_user_can('edit_pages') ) { echo "<a href='post.php?action=edit&amp;post=$id' class='edit'>" . __('Edit') . "</a>"; } ?></td> 
					<td><?php if ( current_user_can('edit_pages') ) { echo "<a href='post.php?action=delete&amp;post=$id' class='delete' 
						onclick=\"return deleteSomething( 'page', " . $id . ", '" . sprintf(__("You are about to delete the &quot;%s&quot; page.\\n&quot;OK&quot; to delete, &quot;Cancel&quot; to stop."), wp_specialchars(get_the_title('','',0), 1)) . "' );\">" . __('Delete') . "</a>"; } ?></td> 
				</tr>
				<?php
				//page_rows($id, $level +1, $pages);
			}
		}
	} 
	else 
	{
		return false;
	}
}

function get_parents_array($post_id)
{
	global $wpdb;
	$parent_array = array();
	
	$sql_query_post_parent = "SELECT ID, post_title, post_parent FROM $wpdb->posts WHERE ID=" . $post_id;
	//echo "[" .$post_id . "] sql_query_post_parent=[" . $sql_query_post_parent . "]<br>";

	$parent_page  = $wpdb->get_results($sql_query_post_parent);

	if ($parent_page[0]->post_parent > 0)
	{
		$parent_array = get_parents_array($parent_page[0]->post_parent, $parent_array);

		// We append this section AFTER the recursive call to maintaain proper heirarchy order.
	}
	$parent_array[] = $parent_page;
	return $parent_array;
}
